# 2 A2A heat pumps (in lounge and back room), portable heaters in dining area
# and study, other rooms unheated. Supplementary portable heater in lounge.

parameters:
  duration: 2.0               # Duration of simulation, hours.
  cycleTime: 0.2              # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.00001       # Temperature threshold for determining if
                              # state has changed.
  sensorWeight: 0.0           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp:    10              # Outside air temperature, °C
  groundTemp: 10              # Ground temperature, °C
  radTemp: 55                 # Average radiator temperature

programs:
  temp20:
    - duration: 4.0
      setpoint: 20
  temp19.8:
    - duration: 4.0
      setpoint: 19.8
  temp19:
    - duration: 4.0
      setpoint: 19
  temp18:
    - duration: 4.0
      setpoint: 18

#!include materials.yaml
#!include slabs.yaml
#!include rooms.yaml

outside:
  Air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
  Ground:
    temperature: groundTemp

heaters:
  DiningRoom:
    maxPower: 2000     # max input power
    minPower: 0
    type: air
    room: DiningRoom
    program: temp20
  Lounge:
    maxPower: 815     # max input power
    minPower: -2600
    type: a2a
    efficiency: 0.16
    room: Lounge
    program: temp20
  BackRoom:
    maxPower: 815     # max input power
    minPower: -2600
    type: a2a
    efficiency: 0.16
    room: BackRoom
    program: temp20
  Study:
    maxPower: 2000
    minPower: 0
    type: air
    room: Study
    program: temp20
  LoungePE:
    maxPower: 2000
    minPower: 0
    type: air
    room: Lounge
    program: temp19.8

